Problem with OpenSSL

Anything related to gaming on Linux Mint including game discussion or questions concerning Steam or Wine.
Forum rules
Before you post please read how to get help
Post Reply
Vedistaan
Level 1
Level 1
Posts: 3
Joined: Sun Dec 24, 2017 6:28 am

Problem with OpenSSL

Post by Vedistaan » Sun Dec 24, 2017 6:32 am

I was trying to create a WOrld of Warcraft server. So i needed openssl, MySQL and other stuff. I was following Wilihow in this process.

So i typed a command "

Code: Select all

cmake ../ -DPREFIX=/home/vedistaan/bin
"
I get result like this...
-- Detected 64-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- Found ACE library: /usr/lib/libACE.so
-- Found ACE headers: /usr/include
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find OpenSSL (missing: OPENSSL_LIBRARIES)
Call Stack (most recent call first):
/usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmake/macros/FindOpenSSL.cmake:175 (find_package_handle_standard_args)
CMakeLists.txt:54 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/vedistaan/src/build/CMakeFiles/CMakeOutput.log".
See also "/home/vedistaan/src/build/CMakeFiles/CMakeError.log".

Please please help me... :(

User avatar
xenopeek
Level 24
Level 24
Posts: 23099
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Problem with OpenSSL

Post by xenopeek » Mon Dec 25, 2017 2:56 am

If you want to compile something that uses OpenSSL, you need to install the development files. Install package libssl-dev.
Image

Post Reply

Return to “Gaming on Linux Mint”